Subject: [pcp] FW: Report on PCP WG discussion on 6204bis

From: Dave Thaler <[email-masked]>
Date: Thu, 29 Mar 2012 08:10:46 +0000

The PCP WG discussed W-6 and W-7 and what advice it might give to the v6ops WG

on what it might say about the PCP protocol.   It was made clear the text was a

v6ops item, and that the PCP WG is providing review/advice.  Fred Baker asked

for a report to be posted to the v6ops list, which is this email.

Also cc'ing Ralph who was substituting as acting co-chair of the PCP meeting in

Alain's absence.

Raw notes straight from notetaker (on Etherpad) regarding W-6:

Q1. Is requirement for PCP client okay? v4-only or dual-stack?

Q2. Should PCP server be required in CPE? Just for configuring local state?

Francis: No reason to put a SHOULD to the PCP client, and not another

protocol that can do the same thing.

Dave: current defaults from v6ops: Q1=yes, dual stack; Q2=no

Stuart: Apple base station has local (CPE-based) apps

Dave: another example is web-based CPE configuration

Margaret: we can't make requirements for ALL CPE equipment. "SHOULD"

doesn't help me; a PCP client is useless without anything to configure

Tom Taylor: server function on the CPE needs PCP, not the CPE per se

Simon: any CPE router has the ability to run a local server, so the text

as written is sufficient

Pete Resnick: we got into this mess because CPEs were too stupid to

realize that they might have private addresses on both sides. Not

clear on why it's SHOULD not MUST. Assuming proxy on the CPE. Also

servers will probably be running on the CPE, so need PCP anyway.

Dave: no strong consensus in either direction

My recollection regarding the last is that we polled the room, and there was

a "weak leaning" towards the current W-6 approach, but no strong consensus.

And raw notes from notetaker on the W-7 discussion:
PCP DS-Lite mode being discussed in v6ops working group for 6204bis.
WG suggestion is that v6ops should remove PCP DS-Lite mode from their requirements.

As chair, my reading of the PCP WG discussion on W-7 was that the PCP WG

did not have consensus on what W-7 should say, should it be kept, and therefore

it is best to remove it pending PCP WG work on ds-lite interaction with pcp,

which is being done in a separate document that still needs significant effort.

If another update is done in the future once that work is complete, the WG

might very well be able to get consensus at that time.

-Dave Thaler